# -*- coding: utf-8 -*-

from django.contrib import admin
from legume.models import *
from django import forms


class TaskAdmin(admin.ModelAdmin):
    list_display = ('id', 'name', 'created_on', 'run_on', 'processed_on', 'progress_bar')
    list_filter = ('created_on', 'state')
    readonly_fields = ('created_on', 'name', 'parameters', 'result')
    raw_id_fields = ('blockers',)
    
    def progress_bar(self, obj):
        if 0 <= obj.progress and obj.state in (TASK_STATE_RUNNING, TASK_STATE_SCHEDULED):
            return """%s <progress id="progress_bar_%s" data-id="%s" max="100" value="%s"></progress> <span id="text_bar_%s">%s%%</span>"""%(obj.get_state_display(), obj.id, obj.id, obj.progress, obj.id, obj.progress)
        else:
            return obj.get_state_display()
    progress_bar.short_description = 'État de la tâche'
    progress_bar.allow_tags = True

admin.site.register(Task, TaskAdmin)
