# -*- coding: utf-8 -*-

import logging, os
from django.conf import settings

logger = logging.getLogger('legume')
logger.propagate = False
if settings.DEBUG:
    logger.setLevel(logging.DEBUG)
else:
    logger.setLevel(logging.INFO)

formatter = logging.Formatter(fmt = "%(asctime)s %(levelname)-8.8s %(message)s",
                              datefmt = "%Y-%m-%d %H:%M:%S")

info_log = os.path.join(settings.LEGUME_LOG_DIR, 'info.log')
info_log = logging.handlers.WatchedFileHandler(info_log)
info_log.setLevel(logging.INFO)
info_log.setFormatter(formatter)
logger.addHandler(info_log)

error_log = os.path.join(settings.LEGUME_LOG_DIR, 'error.log')
error_log = logging.handlers.WatchedFileHandler(error_log)
error_log.setLevel(logging.ERROR)
error_log.setFormatter(formatter)
logger.addHandler(error_log)

if settings.DEBUG:
    tty_log = logging.StreamHandler()
    tty_log.setLevel(logging.DEBUG)
    tty_log.setFormatter(formatter)
    logger.addHandler(tty_log)

