# -*- coding: utf-8 -*-

from legume.models import Task, TASK_STATE_COMPLETED
from legume.task import task, periodic_task
from django.db.models import Q
from datetime import datetime,timedelta

@periodic_task(run_every=timedelta(hours=24))
def cleanUpLegume():
    results = Task.objects.filter(task__blockers__isnull=True,
                                  state = TASK_STATE_COMPLETED,
                                  processed_on__lte=datetime.today() - timedelta(days=30))

    for task in results:
        # lets remove this task from db
        task.blockers.all().delete()
        task.delete()
